{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}      
      <div class="page-wrapper">

            <div class="page-breadcrumb">
                <div class="row align-items-center">
                    <div class="col-5">
                        <h4 class="page-title">Dashboard</h4>
                        <div class="d-flex align-items-center">
                            
                        </div>
                    </div>
                    <div class="col-7">
                        <div class="text-right upgrade-btn">
                            <a href="" class="btn btn-danger text-white"
                                target="_blank">Update</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-md-flex align-items-center">
                                    <div class="container">
                                        <div class="row">
                                            <div class="col-lg-3 col-sm-6">
                                                <div class="card-box bg-blue">
                                                    <div class="inner">
                                                        <h3> {{ data.regcount }} </h3>
                                                        <p> Registred <br> Users </p>
                                                    </div>
                                                    <div class="icon">  
                                                        <i class="fa fa-user-plus" aria-hidden="true"></i>
                                                    </div>
                                                    <a href="{{url_for('dash.registred')}}" class="card-box-footer">View More <i class="fa fa-arrow-circle-right"></i></a>
                                                </div>
                                            </div>
                                    
                                            <div class="col-lg-3 col-sm-6">
                                                <div class="card-box bg-green">
                                                    <div class="inner">
                                                        <h3> ₹{{ data.subcount }} </h3>
                                                        <p> Total <br> Sales </p>
                                                    </div>
                                                    <div class="icon">
                                                        <i class="fa fa-users" aria-hidden="true"></i>
                                                    </div>
                                                    <a href="{{url_for('dash.subscriptions')}}" class="card-box-footer">View More <i class="fa fa-arrow-circle-right"></i></a>
                                                </div>
                                            </div>
                                            <div class="col-lg-3 col-sm-6">
                                                <div class="card-box bg-orange">
                                                    <div class="inner">
                                                        <h3> {{ data.rescount }} </h3>
                                                        <p> Total <br> Resellers </p>
                                                    </div>
                                                    <div class="icon">
                                                        <i class="fa fa-user-plus" aria-hidden="true"></i>
                                                    </div>
                                                    <a href="" class="card-box-footer">View More <i class="fa fa-arrow-circle-right"></i></a>
                                                </div>
                                            </div>
                                            <div class="col-lg-3 col-sm-6">
                                                <div class="card-box bg-red">
                                                    <div class="inner">
                                                        <h3> {{ data.tutocount }} </h3>
                                                        <p> Total <br> tutorials </p>
                                                    </div>
                                                    <div class="icon">
                                                        <i class="fa fa-users"></i>
                                                    </div>
                                                    <a href="{{url_for('dash.tutorials')}}" class="card-box-footer">View More <i class="fa fa-arrow-circle-right"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                     
                                    </div>
                                </div>
                                <div class="row">
                                    <!-- column -->
                                    <div class="col-lg-12">

                                        <div class="card">
                                            <div class="card-body label-info text-white text-center">
                                            <h1> <i class="m-r-10 mdi mdi-lan-connect"></i> Api Status : Connected</h1>
                                            </div>
                                        </div>
                                        <center>
                                        {% if error %}
                                        <p class=error><strong>Error:</strong> {{ error }}
                                        {% endif %}
                                        <br>
                                        {% with messages = get_flashed_messages(with_categories=true) %}
                                        {% if messages %}
                                        <div class="alert alert-{{ messages.0.0 }}" role="alert">
                                        {% for category, message in messages %}
                                        {{ message }} </br>
                                        {% endfor %}
                                        *</div>
                                        {% endif %}
                                        {% endwith %}
                                        </center>
                                        <br>
                                        
                                    </div>
                                    <!-- column -->
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Feeds</h4>
                                <div class="feed-widget">
                                    <ul class="list-style-none feed-body m-0 p-b-20">
                                        <li class="feed-item">
                                            {% for ticket in data.tickets %}
                                            <div class="feed-icon bg-info"><i class="far fa-bell"></i></div> <b>{{ ticket.sub }}</b> .<span class="ml-auto font-12 text-muted">{{ticket.support_time.strftime("%a")}}</span>
                                            {% endfor %}
                                        </li>
                                        <li class="feed-item">
                                       
                                            <div class="feed-icon bg-success"><i class="ti-server"></i></div> Total Tutorials : <b>| {{ data.tutos|length }} | </b><span class="ml-auto font-12 text-muted">2021</span>
                                        
                                        </li>
                                        <li class="feed-item">
                                            {% for subscription in data.subscriptions %}
                                            <div class="feed-icon bg-warning"><i class="ti-shopping-cart"></i></div> Order : <b>| {{subscription.pack}} | </b><span class="ml-auto font-12 text-muted">{{subscription.sub_time.strftime("%a")}}</span>
                                            {% endfor %}
                                        </li>
                                        <li class="feed-item">
                                            {% for user in data.users %}
                                            <div class="feed-icon bg-danger"><i class="ti-user"></i></div> New user
                                            registered : <b>| {{user.username}} | </b><span class="ml-auto font-12 text-muted">{{user.created_at.strftime("%a")}}</span>
                                            {% endfor %}
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- column -->
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <!-- title -->
                                <div class="d-md-flex align-items-center">
                                    <div>
                                        <h4 class="card-title">New Resellers</h4>
                                        <h5 class="card-subtitle">Recent orders from reseller area offers</h5>
                                    </div>
                                    
                                </div>
                                <!-- title -->
                            </div>
                            <div class="table-responsive">
                                <table class="table v-middle">
                                    <thead>
                                        <tr class="bg-light">
                                            <th class="border-top-0">ID</th>
                                            <th class="border-top-0">Reseller</th>
                                            <th class="border-top-0">Whatsapp</th>
                                            <th class="border-top-0">Offer</th>
                                            <th class="border-top-0">Country</th>
                                            <th class="border-top-0">Create at</th>
                                            <th class="border-top-0">Setting</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% for res in data.ress %}
                                        <tr>
                                            <td>
                                                <div class="d-flex align-items-center">
                                                    <div class="m-r-10"><a
                                                            class="btn btn-circle d-flex btn-info text-white">{{res.id}}</a>
                                                    </div>
                                                    <div class="">
                                                        <h4 class="m-b-0 font-16"></h4>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>{{res.name}}</td>
                                            <td>{{res.whatsapp}}</td>
                                            <td>{{res.take}}</td> 
                                            <td>{{res.country_selector}}</td>
                                            <td>
                                                {{res.time.strftime('%A,%d,%Y || %H:%M')}}
                                            </td>
                                            <td>
                                            <a href="{{ url_for('dash.show_resellers', resellers_id=res.id) }}" class="m-r-10 mdi mdi-account-edit label label-warning"></a>
                                            <a href="" class="m-r-10 mdi mdi-message-draw label label-success"></a>
                                            </td>
                                        </tr>
                                        {% endfor %}
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- column -->
                    <div class="col-lg-6">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Recent Messages</h4>
                            </div>
                            <div class="comment-widgets scrollable">
                                <!-- Comment Row -->
                                {% for message in data.messages %}
                                <div class="d-flex flex-row comment-row m-t-0">
                                    <div class="p-2"><img src="/static/dash/images/users/1.jpg" alt="user" width="50"
                                            class="rounded-circle"></div>
                                    <div class="comment-text w-100">
                                        <h6 class="font-medium">{{message.name}}</h6>
                                        <span class="m-b-15 d-block">{{message.sub}}. </span>
                                        <div class="comment-footer">
                                            <span class="text-muted float-right">{{message.msg_time.strftime('%A,%d,%Y || %H:%M')}}</span> 
                                            {% if message.is_closed == 0 %}
                                            <span
                                                class="label label-rounded label-warning">Open</span> <span
                                                class="action-icons">
                                                <a href="{{ url_for('dash.openinbox', msg_id=message.id) }}"><i class="ti-pencil-alt"></i></a>
                                                <a href="javascript:void(0)"><i class="ti-check"></i></a>
                                                <a href="javascript:void(0)"><i class="ti-heart"></i></a>
                                            </span>
                                            {% else %}
                                            <span
                                            class="label label-rounded label-primary">Closed</span> <span
                                                class="action-icons">
                                                <a href="{{ url_for('dash.openinbox', msg_id=message.id) }}"><i class="ti-pencil-alt"></i></a>
                                                <a href="javascript:void(0)"><i class="ti-check"></i></a>
                                                <a href="javascript:void(0)"><i class="ti-heart"></i></a>
                                            </span>
                                            {% endif %}

                                        </div>
                                    </div>
                                </div>
                                {% endfor %}
                          
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                             <div class="container">
                                            <div class="user-dashboard-info-box table-responsive mb-0 bg-white p-4 shadow-sm">
                                              <table class="table manage-candidates-top mb-0"> 
                                                {% for ticket in data.ticketts %}
                                                <tbody>
                                                <tr class="candidates-list">
                                                    <td class="title">
                                                      <div class="thumb">
                                                        <img class="img-fluid" src="https://bootdey.com/img/Content/avatar/avatar7.png" alt="">
                                                      </div>
                                                      <div class="candidate-list-details">
                                                        <div class="candidate-list-info">
                                                          <div class="candidate-list-title">
                                                            <h4 class="mb-0"><b style="color:chocolate">{{ticket.users.username}}</b></h4>
                                                            <h5 class="mb-0" style="color: black;">{{ticket.sub}}</h5>
                                                          </div>
                                                          <div class="candidate-list-option">
                                                            <ul class="list-unstyled">
                                                                <p>{{ticket.support_time.strftime('%A,%d,%Y || %H:%M')}}</p>
                                                                <br>
                                                                
                                                            </ul>
                                                          </div>
                                                        </div>
                                                      </div>
                                                    </td>
                                                    <td class="candidate-list-favourite-time text-center">
                                                      {% if ticket.is_closed %}
                                                      <span class="candidate-list-time order-1 label label-rounded label-primary">Closed</span>
                                                      {% else %}
                                                      <span class="candidate-list-time order-1 label label-rounded label-warning ">Awaiting</span>
                                                      {% endif %}
                                                    </td>
                                                    <td>
                                                      <ul class="list-unstyled mb-0 d-flex justify-content-end">
    
                                                        <li><a href="#" class="text-info" data-toggle="tooltip" title="Replay to ticket" data-original-title="Edit"><i class="fas fa-pencil-alt"></i></a></li>
                                                        <li><a href="#" class="text-danger" data-toggle="tooltip" title="Delete ticket" onclick="return confirm('Are You Sure For Delete?')" data-original-title="Delete"><i class="far fa-trash-alt"></i></a></li>
                                                      </ul>
                                                    </td>
                                                  </tr>
                                                </tbody>
                                                {% endfor %}
                                              </table>
                                      </div>
                                </div>
                            </div>
                   {% endblock content %}